Subject: bug#54405: 27.1; How to reset connection-local variable

From: Michael Albinus <[email-masked]>
Date: Wed, 16 Mar 2022 19:35:42 +0100

David Landell <[email-masked]> writes:

> Hi,

Hi David,

> Is it possible to reset a connection local variable to the default
> in a buffer when default-directory changes from remote to local?

There does not exist a dedicated function for resetting. What I
recommend is to use the macro `with-connection-local-variables', which
runs BODY with applied connection-local variables, and a cleanup to the
previous state afterwards.

> Best regards,
> David Landell

Best regards, Michael.